package phonebook;

class Contact {
	private String first;
	private String last;
	private String number;
	
	// encapsulation is broken for perfomance reasons
	Contact next;  
	
	public Contact(String first, String last, String number){
		this.first = first;
		this.last = last;
		this.number = number;
		next = null; // not stricly necessary
	}

	public String toString(){
		return first + " " + last + " " + number;
	}
	
	public boolean contains(String needle){
		return (last.equals(needle)  ||
				first.equals(needle) ||
				number.equals(needle) );
	}
}
